---

###########################################################################################
# ensure {{ boot_param }} is in GRUB_CMDLINE_LINUX_DEFAULT=
###########################################################################################


- name: checking GRUB cmdline in /etc/default/grub
  shell:        "grep 'GRUB_CMDLINE_LINUX_DEFAULT=.*{{ boot_param }}.*' /etc/default/grub"
  changed_when: grub_cfg_grep.rc == 1
  failed_when:  grub_cfg_grep.rc >  1
  register:     grub_cfg_grep


- name: Adding   GRUB cmdline in /etc/default/grub
  replace:
    path:       '/etc/default/grub'
    regexp:     '^GRUB_CMDLINE_LINUX_DEFAULT="((\w.?)*)"$'
    replace:    'GRUB_CMDLINE_LINUX_DEFAULT="\1 {{ boot_param }}"'
  changed_when: myreplace.changed
  failed_when:  not myreplace.changed
  register:     myreplace
  notify:       update_grub
  when:         grub_cfg_grep.rc == 1
